jQuery Tabs Container View Helper

uses |
package | ZendX_JQuery
subpackage | View
copyright | Copyright (c) 2005-2014 Zend Technologies USA Inc. (http://www.zend.com)
license | New BSD License
inherited_from | \ZendX_JQuery_View_Helper_UiWidget

### Methods

## Add Tab to TabsContainer

    addPane(string $id, string $name, string $content, array $options = array()) : \ZendX_JQuery_View_Helper_TabsContainer

### Parameters

#### $id

`string`

#### $name

`string`

#### $content

`string`

#### $options

`array`

### Returns

`\ZendX_JQuery_View_Helper_TabsContainer`

## Set view and enable jQuery Core and UI libraries

    setView(\Zend_View_Interface $view) : \ZendX_JQuery_View_Helper_Widget

Inherited

### Parameters

#### $view

`\Zend_View_Interface`

### Returns

`\ZendX_JQuery_View_Helper_Widget`

## Render TabsContainer with all the currently registered tabs.

    tabContainer(string $id = null, array $params = array(), array $attribs = array()) : string | \ZendX_JQuery_View_Helper_TabsContainer

Render all tabs to the given $id. If no arguments are given the tabsContainer view helper object is returned and can be used for chaining \addPane() for tab pane adding.

link | http://docs.jquery.com/UI/Tabs

### Parameters

#### $id

`string`

#### $params

`array`

#### $attribs

`array`

### Returns

`string``\ZendX_JQuery_View_Helper_TabsContainer`

## Helps with building the correct Attributes Array structure.

    _prepareAttributes(String $id, String $value, Array $attribs) : Array

Inherited

### Parameters

#### $id

`String`

#### $value

`String`

#### $attribs

`Array`

### Returns

`Array`$attribs

### Properties

## Save all the pre-rendered tab panes to each tab container

    $_tabs : array

### Default

`array()`

## Contains reference to the jQuery view helper

    $jquery : \ZendX_JQuery_View_Helper_JQuery_Container

### Default